using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace NavegadorWeb
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Button_navegar_Click(object sender, EventArgs e)
        {
            webBrowser1.Navigate(TextBox_direcion.Text);
        }

        private void Button_buscar_Click(object sender, EventArgs e)
        {
            webBrowser1.Navigate("http://www.google.cl/#hl=es&source=hp&q="+TextBox_buscar.Text+"&meta=&aq=f&aqi=&aql=&oq=&gs_rfai=&fp=e6787d9c4fb35799");
        }

        private void Button_actualizar_Click(object sender, EventArgs e)
        {
            webBrowser1.Update();
        }

        private void Button_atras_Click(object sender, EventArgs e)
        {
            webBrowser1.GoBack();
        }

        private void Button_detener_Click(object sender, EventArgs e)
        {
            webBrowser1.Stop();
        }

        private void Button_adelante_Click(object sender, EventArgs e)
        {
            webBrowser1.GoForward();
        }

        private void Button_inicio_Click(object sender, EventArgs e)
        {
            webBrowser1.GoHome();
        }

        private void TextBox_direcion_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.KeyCode == Keys.Enter)
            {
                webBrowser1.Navigate(TextBox_direcion.Text);
            }
        }

        private void TextBox_buscar_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.KeyCode == Keys.Enter)
            {
                webBrowser1.Navigate("http://www.google.cl/#hl=es&source=hp&q=" + TextBox_buscar.Text + "&meta=&aq=f&aqi=&aql=&oq=&gs_rfai=&fp=e6787d9c4fb35799");
            }
        }
    }
}